<?
  ##########################################
## Автор: Говно кодырь -=ШАХТЕР=-           #  
## Сайт: http://masteram.us ICQ  : 46-92-90 #
### Версия 4.0 Лицензионная                 #
## Данная версия скрипта являлась ПЛАТНОЙ,  #
## вы НЕ ИМЕЛИ ПРАВА распрострянять данный  #
## скрипт или какие-либо части его кода...  #
## А ТЕПЕРЬ СВСЕМ НА ЭТО ПОХУЙ!!!)))        #
  #########################################
require'config.php';
$align='left';
$title='Объявления';
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...

switch($mod){

default:

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from objavs"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from objavs order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Объявлений нет...<br />';
else echo 'Объявлений <b>'.$k_post.'</b><dt></dt><br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.'<a href="?mod=read&amp;did='.$a['id'].'">'.$a['name'].'</a> ('.times($a['time']).')'.div;
echo '<small>Автор: '.user($a['user_id'],1).' / Просмотров: '.$a['chit'].'</small>';
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц

}
echo "<dl><dt></dt></dl>";
echo '&#187; <a href="objavs?mod=my">Мои обьявления</a>('.$db->sql_fetchfield($db->sql_query("select count(*) as num from objavs where user_id = '$user[id]'"),0).')<br />';

break;

case read:
$did = check(intval($_GET['did']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from objavs where `id` = '$did'"));

if (isset($_GET['del'])&&$user['level']>=5){
$db->sql_query("DELETE FROM `objavs` where `id` = '".check(intval($did))."'");
header ('Location: ?mod=objavs&'.SID);  exit;
}

$a['chit']++;
$db->sql_query('UPDATE `objavs` SET `chit` = "'.$a['chit'].'" WHERE `id` = "'.$did.'" LIMIT 1');



echo '<u>Объявление:</u> <b>'.$a['name'].'</b>';
if($user['level']>=5)echo ' | <a href="?mod='.$mod.'&amp;did='.$a['id'].'&amp;del">Удалить</a>';
echo '<br /><u>Разместил:</u> '.nik($a['user_id'],1).'<br />';
echo '<u>Содержание:</u><dt></dt>';
echo esc(trim(br(bbcode(antir($a[msg]))))).'<dt></dt>';
echo '<u>Просмотров:</u> '.$a['chit'].'<br />
<u>Размещено до:</u> '.times($a['srok']).'<br />';

break;

case my:

if (isset($_GET['del'])){
$db->sql_query("DELETE FROM `objavs` where `id` = '".check(intval($_GET['del']))."' and `user_id` = '$user[id]'");
header ('Location: ?mod='.$mod.'&'.SID);  exit;
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from objavs where user_id = '".$user['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from objavs where user_id = '".$user['id']."' order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Объявлений нет...<br />';
else echo 'Объявлений <b>'.$k_post.'</b><dt></dt><br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.'<a href="?mod=read&amp;did='.$a['id'].'">'.$a['name'].'</a> ('.times($a['time']).') <a href="?mod='.$mod.'&amp;del='.$a['id'].'">[Удал]</a>'.div;
echo 'Просмотров: '.$a['chit'].' / Размещено до : '.times($a['srok']).'';
echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц

}
echo "<dl><dt></dt></dl>";
echo '<a href="?mod=add">Добавить объявление</a><br />';
break;

case add:

if (empty($act)){
echo '<b>Размещение обьявлений платное!</b><br /><b>1</b> день = <b>'.$set['objavs_rur'].'</b> рублей<dt></dt><br />';

if ($ver!='wml')echo '<form action="?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo 'Название:<br /><input name="name" maxlength="30" title="Название"/><br/>';
if ($ver=='wml'){
echo 'Содержание:<br /><input name="msg'.$ref.'" title="Текст"/><br/>';
echo 'Срок(дней):<br /><input name="srok" title="Срок"/><br/>';

$chislo=rand(1000,9999);
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
$db->sql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
echo '&#160;<b>'.$chislo.'</b><br/>Проверочный код:<br/>
<input type="text" name="code'.$ref.'" size="4" maxlength="4" title="code"/>';

echo '<br /><anchor title="go">Добавить<go href="?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="name" value="$name"/>
<postfield name="msg" value="$msg'.$ref.'"/>
<postfield name="srok" value="$srok"/>
<postfield name="code" value="$code'.$ref.'"/>
</go></anchor><br />';
}else{
echo'Содержание:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';
echo 'Срок(дней):<br /><input name="srok" title="Срок"/><br/>';
$chislo=rand(1000,9999);
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
$db->sql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
echo '&#160;<b>'.$chislo.'</b><br/>Проверочный код:<br/>
<input type="text" name="code" size="4" maxlength="4" title="code"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}

}else{
$name = check($_POST['name']);
$msg = check($_POST['msg']);
$srok = check(abs(intval($_POST['srok'])));
$_POST['code'] = check($_POST['code']);
if ($user['translit']==1)$name = translit($name);
if ($user['translit']==1)$msg = translit($msg);
if (strlen2($name)<3)$err = 'Короткое название!';
if (strlen2($msg)<10)$err = 'Короткое содержание!';
$online = $db->sql_fetchrow($db->sql_query("SELECT * FROM `chislo` WHERE `ip` = '".$ip."'"));
if($online['chislo'] != intval($_POST['code']))$err = 'Проверочный код введен неверно!';

$p = @$db->sql_fetchrow($db->sql_query(@"select * from `objavs` where name='$name' limit 1;"));
if ($name == $p['name'])$err = 'Такая запись уже есть!';

$rur = round($srok*$set['objavs_rur']);
if ($user['rur']<$rur)$err = 'Чтобы разместить обьявление на <b>'.$srok.'</b> дней вам нужно <b>'.$rur.'</b> рублей!';

$srok1 = $time+($srok*60*60*24);



if(empty($err)){
if ($db->sql_query ("INSERT INTO objavs (user_id,name,msg,time,srok) VALUES ('$user[id]','$name','$msg','$time','$srok1')")){

$rur = $user['rur']-$rur;
$db->sql_query('UPDATE `users` SET `rur` = "'.$rur.'" WHERE `id` = "'.$user['id'].'"');

header ('Location: ?mod=my&'.SID);  exit;
}else echo 'Ошибка!';
}else echo $err;
}
break;


}

echo '<br />';
if ($mod)echo gb.'<a href="objavs">Объявления</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>